<ion-header class="ion-no-border">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button defaultHref="login"></ion-back-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content class="ion-padding">
    <div class="the-content">
        <ion-grid style="height: 100%">
            <ion-row class="ion-justify-content-center ion-align-items-center " style="height: 100%">
                <div class="holder">
                    <form [formGroup]="signupForm" (ngSubmit)="signup()">
                        <div class="details">

                            <!-- [START] CURRENT HOSPITAL -->
                            <div class="detail-item">
                                <ion-row>
                                    <ion-col class="ion-text-left no-bottom-padding">
                                        <ion-label position="bottom">Current Hospital</ion-label>
                                    </ion-col>
                                    <ion-col class="ion-text-right title-check-box no-bottom-padding align-self-baseline">
                                        <ion-button (click)="viewHospitalListForCurrentHospital()" fill="none" class="select-button-height">
                                            <ion-icon name="arrow-forward"></ion-icon>
                                        </ion-button>
                                    </ion-col>
                                </ion-row>

                                <ion-item class="card-border-round">
                                    <span class="icn-holder" slot="end" *ngIf="myData.currentHospital">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input type="text" [disabled]="true" [value]="myData?.currentHospital?.name" placeholder="Current hospital here">
                                        <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>
                                    </ion-input>
                                </ion-item>
                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.fullName.hasError(error.type) && (signupFormControls.fullName.dirty || signupFormControls.fullName.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] CURRENT HOSPITAL -->

                            <!-- [START] EXPECTING HOSPITAL -->
                            <div class="detail-item">
                                <ion-row>
                                    <ion-col class="ion-text-left no-bottom-padding">
                                        <ion-label position="bottom">Expecting Hospital(s)</ion-label>
                                    </ion-col>
                                    <ion-col class="ion-text-right title-check-box no-bottom-padding align-self-baseline">
                                        <ion-button (click)="viewHospitalListForExpectedHospitals()" fill="none" class="select-button-height">
                                            <ion-icon name="arrow-forward"></ion-icon>
                                        </ion-button>
                                    </ion-col>
                                </ion-row>
                                <ion-item (click)="viewHospitalListForExpectedHospitals()" *ngIf="myData?.nurseExpectingHospitalList?.length === 0" class="card-border-round">
                                    <ion-input [disabled]="true" type="text" placeholder="Expecting hospital(s) here">
                                        <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>
                                    </ion-input>
                                </ion-item>
                                <ion-item *ngFor="let h of myData?.nurseExpectingHospitalList" class="card-border-round">
                                    <span class="icn-holder" slot="end" *ngIf="h.name">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input [disabled]="true" type="text" [value]="h?.name" placeholder="Expecting hospital(s) here">
                                        <ion-icon slot="icon-only" name="home-outline" color="primary"></ion-icon>
                                    </ion-input>
                                </ion-item>
                            </div>
                            <!-- [END] EXPECTING HOSPITAL -->

                            <!-- [START] FULL NAME -->
                            <div class="detail-item">
                                <ion-label>Full Name</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end" *ngIf="!signupFormControls.fullName.invalid">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input formControlName="fullName" class="username" placeholder="Full name here">
                                        <ion-icon slot="icon-only" style="margin-right: 5px;" name="home-outline" color="primary">
                                        </ion-icon>
                                    </ion-input>
                                </ion-item>

                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.fullName.hasError(error.type) && (signupFormControls.fullName.dirty || signupFormControls.fullName.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] FULL NAME -->

                            <!-- [START] NIC -->
                            <div class="detail-item">
                                <ion-label>NIC</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end" *ngIf="!signupFormControls.nic.invalid">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input formControlName="nic" class="username" placeholder="Identity card number here">
                                    </ion-input>
                                </ion-item>

                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.nic.hasError(error.type) && (signupFormControls.nic.dirty || signupFormControls.nic.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] NIC -->

                            <!-- [START] MOBILE -->
                            <div class="detail-item">
                                <ion-label>Mobile Number</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end" *ngIf="!signupFormControls.mobileNumber.invalid">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input formControlName="mobileNumber" class="username" placeholder="Mobile number here">
                                    </ion-input>
                                </ion-item>

                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.mobileNumber.hasError(error.type) && (signupFormControls.mobileNumber.dirty || signupFormControls.mobileNumber.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] MOBILE -->

                            <!-- [START] EXTRA MOBILE -->
                            <div class="detail-item">
                                <ion-label>Extra Mobile Number</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end" *ngIf="!signupFormControls.extraMobileNumber.invalid">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input formControlName="extraMobileNumber" class="username" placeholder="Extra mobile number here">
                                    </ion-input>
                                </ion-item>

                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.extraMobileNumber.hasError(error.type) && (signupFormControls.extraMobileNumber.dirty || signupFormControls.extraMobileNumber.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] EXTRA MOBILE -->

                            <!-- [START] EMAIL -->
                            <div class="detail-item">
                                <ion-label>Email</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input class="email" placeholder="Email here" type="email">
                                    </ion-input>
                                </ion-item>
                            </div>
                            <!-- [END] EMAIL -->

                            <!-- [START] PROMO CODE -->
                            <div class="detail-item">
                                <ion-label>Promo Code</ion-label>
                                <ion-item>
                                    <span class="icn-holder" slot="end" *ngIf="!signupFormControls.promoCode.invalid">
                                        <ion-icon name="checkmark-circle"></ion-icon>
                                    </span>
                                    <ion-input formControlName="promoCode" class="username" placeholder="promo code here">
                                    </ion-input>
                                </ion-item>

                                <div class="error-messages">
                                    <ng-container *ngFor="let error of error_messages.username">
                                        <div class="error-message" *ngIf="signupFormControls.promoCode.hasError(error.type) && (signupFormControls.promoCode.dirty || signupFormControls.promoCode.touched)">
                                            {{error.message}}
                                        </div>
                                    </ng-container>
                                </div>
                            </div>
                            <!-- [END] PROMO CODE -->

                            <div class="agreement-holder">
                                <ion-item lines="none" class="ion-no-padding">
                                    <ion-label class="ion-text-wrap">By creating an account, you agree to our Term and Conditions
                                    </ion-label>
                                    <ion-checkbox mode="ios" slot="start" [(ngModel)]="isAgreed" [ngModelOptions]="{standalone: true}"></ion-checkbox>
                                </ion-item>
                            </div>
                        </div>
                        <div class="btn-holder ion-padding-top">
                            <ion-button [disabled]="!isAgreed" expand="block" type="submit" routerDirection="root" [disabled]="signupFormControls.invalid">
                                {{ isInEdit ? 'Update' : 'Signup' }}
                            </ion-button>
                        </div>

                    </form>
                </div>
            </ion-row>
        </ion-grid>

    </div>
</ion-content>